import type { _VNTargetedImageRequest } from "./VNTargetedImageRequest.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { VNGenerateOpticalFlowRequestComputationAccuracy } from "./VNGenerateOpticalFlowRequestComputationAccuracy.js";
export declare class _VNGenerateOpticalFlowRequest extends _VNTargetedImageRequest {
    static alloc(): _VNGenerateOpticalFlowRequest;
    static new(): _VNGenerateOpticalFlowRequest;
    init(): _VNGenerateOpticalFlowRequest;
    /**
     * @brief The level of accuracy used to compute the optical flow. Default is VNGenerateOpticalFlowRequestComputationAccuracyMedium. @discussion The computational time typically trends with the accuracy level. This parameter allows for selective tuning by the client application.
     */
    computationAccuracy(): VNGenerateOpticalFlowRequestComputationAccuracy;
    setComputationAccuracy$(value: VNGenerateOpticalFlowRequestComputationAccuracy): void;
    /**
     * @brief Pixel format type of the output buffer. Valid values are kCVPixelFormatType_TwoComponent32Float and kCVPixelFormatType_TwoComponent16Half. Default is kCVPixelFormatType_TwoComponent32Float.
     */
    outputPixelFormat(): number;
    setOutputPixelFormat$(value: number): void;
    /**
     * @brief Setting this to YES will keep the raw pixel buffer coming from the the ML network. The default is NO. @discussion When set to YES, the outputPixelFormat is ignored. Setting this for revision 1 is a no-op as it is not ML-based.
     */
    keepNetworkOutput(): boolean;
    setKeepNetworkOutput$(value: boolean): void;
    /** @discussion VNPixelBufferObservation results. */
    results(): _NSArray | null;
}
